#!/bin/bash
# hostname - set system hostname
#
# This task is run on startup to set the system hostname from /etc/hostname,
# falling back to "localhost" if that file is not readable or is empty and
# no hostname has yet been set.
set -x
if [ -e /sys/class/dmi/id/product_serial ] ;
then
	NEWNAME="True-`sudo cat /sys/class/dmi/id/product_serial`"
else
	env NEWNAME=TRUE
fi		
echo "$NEWNAME" > /etc/hostname
/bin/hostname -b -F /etc/hostname
sed -i 's/127.0.1.1.*/127.0.1.1\t'"$NEWNAME"'/g' /etc/hosts
/bin/hostname
